# PXMLRPCServerResource Class Reference

`#include <pxmlrpcs.h>`

Inheritance diagram for PXMLRPCServerResource:

List of all members.

## Public Member Functions

| PXMLRPCServerResource ()
| PXMLRPCServerResource (const PHTTPAuthority &auth)
| PXMLRPCServerResource (const PURL &url)
| PXMLRPCServerResource (const PURL &url, const PHTTPAuthority &auth)
PBoolean | LoadHeaders (PHTTPRequest &request)
| Get the headers for block of data (eg HTML) that the resource contains.
PBoolean | OnPOSTData (PHTTPRequest &request, const PStringToString &data)
| Send the data associated with a POST command.
virtual void | OnXMLRPCRequest (const PString &body, PString &reply)
virtual PBoolean | SetMethod (const PString &methodName, const PNotifier &func)
void | OnXMLRPCRequest (const PString &methodName, PXMLRPCBlock &request, PString &reply)
virtual PString | FormatFault (PINDEX code, const PString &str)

## Protected Attributes

PMutex | methodMutex
PXMLRPCServerMethodList | methodList

## Constructor & Destructor Documentation

PXMLRPCServerResource::PXMLRPCServerResource | ( |  | ) |

PXMLRPCServerResource::PXMLRPCServerResource | ( | const PHTTPAuthority & | auth | ) |

Parameters:

  auth | Authorisation for the resource.

PXMLRPCServerResource::PXMLRPCServerResource | ( | const PURL & | url | ) |

Parameters:

  url | Name of the resource in URL space.

PXMLRPCServerResource::PXMLRPCServerResource | ( | const PURL & | url,
|  | const PHTTPAuthority & | auth |
| ) |  |  |

Parameters:

  url | Name of the resource in URL space.
  auth | Authorisation for the resource.

## Member Function Documentation

virtual PString PXMLRPCServerResource::FormatFault | ( | PINDEX | code,
|  | const PString & | str |
| ) |  |  | `[virtual]`

PBoolean PXMLRPCServerResource::LoadHeaders | ( | PHTTPRequest & | request | ) | `[virtual]`

Get the headers for block of data (eg HTML) that the resource contains.

This will fill in all the fields of the `outMIME` parameter required by the resource and return the status for the load.

Returns:
  true if all OK, false if an error occurred.

Implements PHTTPResource.

PBoolean PXMLRPCServerResource::OnPOSTData | ( | PHTTPRequest & | request,
|  | const PStringToString & | data |
| ) |  |  | `[virtual]`

Send the data associated with a POST command.

The default action calls `Post()`.

Returns:
  true if the connection may persist, false if the connection must close. If there is no ContentLength field in the response, this value must be false for correct operation.

Reimplemented from PHTTPResource.

void PXMLRPCServerResource::OnXMLRPCRequest | ( | const PString & | methodName,
|  | PXMLRPCBlock & | request,
|  | PString & | reply |
| ) |  |  |

virtual void PXMLRPCServerResource::OnXMLRPCRequest | ( | const PString & | body,
|  | PString & | reply |
| ) |  |  | `[virtual]`

virtual PBoolean PXMLRPCServerResource::SetMethod | ( | const PString & | methodName,
|  | const PNotifier & | func |
| ) |  |  | `[virtual]`

## Member Data Documentation

PXMLRPCServerMethodList PXMLRPCServerResource::methodList `[protected]`

PMutex PXMLRPCServerResource::methodMutex `[protected]`

The documentation for this class was generated from the following file:

- pxmlrpcs.h